[resolu] Propriétés personnalisées

vos questions concernant les API SolidWorks

[resolu] Propriétés personnalisées

Messagepar lafeire » Ven 29 Juin 2012, 11:03

bonjour à tous.

Je viens vers vous parce que je m'arrache les cheveux à essayer de configurer mes modèles de documents.


je vais essayer de vous expliquer ce que je cherche à faire.
j'ai 2 "solutions" :
- arriver à afficher sous les proprietes windows une prop perso de mon choix
- arriver à remplir la proprité SDW-titre en fonction d'une prop perso.

il y a til des "bêtes" en propriétés ?

:D
Dernière édition par lafeire le Ven 20 Juil 2012, 12:15, édité 4 fois.
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar Annwn » Ven 29 Juin 2012, 11:23

Programmer, c'est bien; programmer utile, c'est mieux........
Venez faire un tour ici !
Annwn
Site Admin
 
Messages: 4938
Inscription: Lun 18 Déc 2006, 22:35

Messagepar lafeire » Ven 29 Juin 2012, 12:03

heu...comment dire....
c'est pas faux :roll:

plus sérieusement je n'ai pas trop compris.
tu peux expliquer en langage plus simple pour le commun des mortels
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar Annwn » Lun 02 Juil 2012, 12:00

En fait le module dsofile permet de piquer (même sans ouvrir SW !) les propriétés windows d'un fichier !
Programmer, c'est bien; programmer utile, c'est mieux........
Venez faire un tour ici !
Annwn
Site Admin
 
Messages: 4938
Inscription: Lun 18 Déc 2006, 22:35

Messagepar lafeire » Mar 03 Juil 2012, 8:54

et avec ce dso, je peux choisir d'afficher dans l'explorateur windows d'afficher certaine propriétés perso.

Je suis arrivé à afficher ça.
http://www.servimg.com/image_preview.ph ... u=16143702

et voici mes propriétés perso dans sdw

http://www.servimg.com/image_preview.ph ... u=16143702
Dernière édition par lafeire le Mer 11 Juil 2012, 10:04, édité 1 fois.
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar lafeire » Jeu 05 Juil 2012, 13:39

:?:
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar lafeire » Mer 11 Juil 2012, 9:35

il y aurait il quelqu'un pour me répondre?
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar fred_ecai » Mer 11 Juil 2012, 9:42

je vois pas tes images...
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar lafeire » Mer 11 Juil 2012, 10:05

Le BB code ne fonctionne pas?
tampis j'ai mis les lien vers serimg.
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar fred_ecai » Mer 11 Juil 2012, 10:34

et question a 2 balles, il ne te les mets pas dans spécifique a la config des fois ?

@+
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar lafeire » Mer 11 Juil 2012, 10:58

non.
j'ai des prop perso sur la cfg défaut, quand je crée une config ça en rajoute d'autres dans l'onglet spécifique.

dans l'idéal voici ce que je dois arriver à réaliser.

1, afficher la propriété de mon choix dans l'explorateur windows.

ou, mais c'est au cas ou je n'arriverais pas à faire 1
2, faire en sorte que le titre SDW soit = à la propriété de mon choix (équation?)
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar fred_ecai » Mer 11 Juil 2012, 13:16

on va déplacer le sujet en API.
regarde dans la rubrique API il y a pas mal de truc avec les propriétés.
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar lafeire » Jeu 12 Juil 2012, 9:28

j'ai jeté un oeil.
je ne connais pas le vba mais j'ai essayé des trucs et des machins en combinant des codes vu ici et là.
bilan nul......

donc si une âme charitable parle VBA couramment... :D
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar lafeire » Lun 16 Juil 2012, 15:37

j'ai réussi à faire quelque chose.
J'ai créé une macro qui fait ce que je veux, mais maintenant je voudrais l'appliquer lors de l'enregistrement du modele actif.

je n'arrive pas à trouver la ou les commandes.

Code: Tout sélectionner
Sub main()

Dim swApp As SldWorks.SldWorks
Dim SWmoddoc As SldWorks.ModelDoc2
Dim reference As String
Dim titre As String
Dim etude As String
Dim sujet As String


Set swApp = Application.SldWorks
Set SWmoddoc = swApp.ActiveDoc

reference = SWmoddoc.CustomInfo("référence")
etude = SWmoddoc.CustomInfo("AU_N°Etude")


Dim value As String
 
titre = SWmoddoc.SummaryInfo(swSumInfoTitle)
sujet = SWmoddoc.SummaryInfo(swSumInfoSubject)

SWmoddoc.SummaryInfo(swSumInfoTitle) = reference
SWmoddoc.SummaryInfo(swSumInfoSubject) = etude

End sub
lafeire
Ewok SolidWorks
 
Messages: 49
Inscription: Sam 28 Jan 2012, 0:16

Messagepar fred_ecai » Mar 17 Juil 2012, 6:39

tu veux l'appliquer ou ? dans les propriétés de la mep (visible lors de "fichier -> propriétés")
ou dans l’explorateur Windows ?
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Suivante

Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Bing [Bot] et 2 invités

banniere